Ice Reference Documentation
<<< Previous | Properties | Next >>>

# Ice Plug-in Properties

## Ice.Plugin.`name`

### Synopsis

    Ice.Plugin.name=entry_point [args]

### Description

Defines a plug-in to be installed during communicator initialization.

In C++, `entry_point` has the form `basename[,version]:function`. The `basename` and optional `version` components are used to construct the name of a DLL or shared library. If no version is supplied, the Ice version is used. The `function` component is the name of a function with C linkage.

For example, the entry point `MyPlugin,2.3:create` would imply a shared library name of `libMyPlugin.so.2.3` on Unix and `MyPlugin23.dll` on Windows. Furthermore, if Ice is built on Windows with debugging, a `d` is automatically appended to the version (e.g., `MyPlugin23d.dll`).

In Java, `entry_point` is the name of a class.

<<< Previous | Home | Next >>>
Ice Object Adapter Properties | Up | Ice Thread Pool Properties